function [DutyCycleSelect,FullCycle]=DutyCycleSelect(DutyCycles,Prob,numDay)
% numDay: Number of days in testing duty cycles
cumProb=cumsum(Prob); % The cumulated Probabilities

s=rand(numDay,1); % Randomly select numDay days from uniform distribution (0,1)
index=zeros(numDay,1); % the number of types (row) to be selected in each draw

for i=1:numDay;
    index(i)=1+sum(cumProb<s(i));
end;

DutyCycleSelect=DutyCycles(index,:); 

disp(strcat({'Number of Days in Duty Cycle = '},num2str(numDay)));
FullCycle=[];
for i=1:numDay
    Draw=DutyCycleSelect(i,:);
    disp(strcat({'Day '}, num2str(i),{' duty cycle '},num2str(Draw(Draw~=0))));
    FullCycle=[FullCycle Draw(Draw~=0)];
end;
disp(strcat({'Full week duty cycle = '},num2str(FullCycle)));

% extract DutyCycleTest from the FullCycle
%DutyCycleUse=[];
%shortForm=reshape(DutyCycleSelect',1,[]); 
%shortForm=shortForm(shortForm~=0);
%for i=1:length(shortForm)
%   DutyCycleUse=[DutyCycleUse shortForm(i).*[ones(1,60) zeros(1,5)]];
%
%figure1_Dutycycle(numDay,DutyCycles,DutyCycleSelect,DutyCycleUse,Prob,index)
